### Method

# Gio AppInfo get_executable

#### Declaration [src]

    const char*
    g_app_info_get_executable (
      GAppInfo* appinfo
    )

#### Description [src]

Gets the executable’s name for the installed application.

This is intended to be used for debugging or labelling what program is going to be run. To launch the executable, use `g_app_info_launch()` and related functions, rather than spawning the return value from this function.

#### Return value

Type: `const char*`

A string containing the `appinfo`’s application binaries name.

The returned data is owned by the instance.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.